# Google Cloud Dms V1 Client - Class CreateConnectionProfileRequest (2.1.3)

2.1.3 (latest) 2.1.2 2.0.6 1.5.5 1.4.2 1.3.0 1.2.1 1.1.0 1.0.5 Reference documentation and code samples for the Google Cloud Dms V1 Client class CreateConnectionProfileRequest.

Request message for 'CreateConnectionProfile' request.

Generated from protobuf message `google.cloud.clouddms.v1.CreateConnectionProfileRequest`

## Namespace

Google \\ Cloud \\ CloudDms \\ V1

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ parent` | `string` Required. The parent which owns this collection of connection profiles. |
| `↳ connection_profile_id` | `string` Required. The connection profile identifier. |
| `↳ connection_profile` | `https://docs.cloud.google.com/php/docs/reference/cloud-dms/latest/V1.ConnectionProfile` Required. The create request body including the connection profile data |
| `↳ request_id` | `string` Optional. A unique ID used to identify the request. If the server receives two requests with the same ID, then the second request is ignored. It is recommended to always set this value to a UUID. The ID must contain only letters (a-z, A-Z), numbers (0-9), underscores (_), and hyphens (-). The maximum length is 40 characters. |
| `↳ validate_only` | `bool` Optional. Only validate the connection profile, but don't create any resources. The default is false. Only supported for Oracle connection profiles. |
| `↳ skip_validation` | `bool` Optional. Create the connection profile without validating it. The default is false. Only supported for Oracle connection profiles. |

### getParent

Required. The parent which owns this collection of connection profiles.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setParent

Required. The parent which owns this collection of connection profiles.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getConnectionProfileId

Required. The connection profile identifier.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setConnectionProfileId

Required. The connection profile identifier.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getConnectionProfile

Required. The create request body including the connection profile data

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-dms/latest/V1.ConnectionProfile|null` |   |

### hasConnectionProfile

### clearConnectionProfile

### setConnectionProfile

Required. The create request body including the connection profile data

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `https://docs.cloud.google.com/php/docs/reference/cloud-dms/latest/V1.ConnectionProfile` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getRequestId

Optional. A unique ID used to identify the request. If the server receives
two requests with the same ID, then the second request is ignored.

It is recommended to always set this value to a UUID.
The ID must contain only letters (a-z, A-Z), numbers (0-9), underscores
(_), and hyphens (-). The maximum length is 40 characters.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setRequestId

Optional. A unique ID used to identify the request. If the server receives
two requests with the same ID, then the second request is ignored.

It is recommended to always set this value to a UUID.
The ID must contain only letters (a-z, A-Z), numbers (0-9), underscores
(_), and hyphens (-). The maximum length is 40 characters.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getValidateOnly

Optional. Only validate the connection profile, but don't create any
resources. The default is false. Only supported for Oracle connection
profiles.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `bool` |   |

### setValidateOnly

Optional. Only validate the connection profile, but don't create any
resources. The default is false. Only supported for Oracle connection
profiles.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `bool` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getSkipValidation

Optional. Create the connection profile without validating it.

The default is false.
Only supported for Oracle connection profiles.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `bool` |   |

### setSkipValidation

Optional. Create the connection profile without validating it.

The default is false.
Only supported for Oracle connection profiles.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `bool` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### static::build

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `parent` | `string` Required. The parent which owns this collection of connection profiles. Please see DataMigrationServiceClient::locationName() for help formatting this field. |
| `connectionProfile` | `https://docs.cloud.google.com/php/docs/reference/cloud-dms/latest/V1.ConnectionProfile` Required. The create request body including the connection profile data |
| `connectionProfileId` | `string` Required. The connection profile identifier. |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-dms/latest/V1.CreateConnectionProfileRequest` |   |